---
lang: en
title: 'API docs: sequelize.sequelizecrudrepository.update'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/sequelize
permalink: /doc/en/lb4/apidocs.sequelize.sequelizecrudrepository.update.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/sequelize](./sequelize.md) &gt; [SequelizeCrudRepository](./sequelize.sequelizecrudrepository.md) &gt; [update](./sequelize.sequelizecrudrepository.update.md)

## SequelizeCrudRepository.update() method

**Signature:**

```typescript
update(entity: T, options?: AnyObject): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  entity | T |  |
|  options | AnyObject | _(Optional)_ |

**Returns:**

Promise&lt;void&gt;


